MagickCore: nt-base.h File Reference

# nt-base.h File Reference

`#include "magick/delegate.h"`
`#include "magick/exception.h"`
`#include <windows.h>`
`#include <wchar.h>`
`#include <winuser.h>`
`#include <wingdi.h>`
`#include <io.h>`
`#include <process.h>`
`#include <errno.h>`

Go to the source code of this file.

## Data Structures
struct | dirent
struct | _DIR
struct | _NTMEMORYSTATUSEX
## Defines
#define | WIN32_LEAN_AND_MEAN
#define | VC_EXTRALEAN
#define | _CRT_SECURE_NO_DEPRECATE 1
#define | PROT_READ 0x01
#define | PROT_WRITE 0x02
#define | MAP_SHARED 0x01
#define | MAP_PRIVATE 0x02
#define | MAP_ANONYMOUS 0x20
#define | F_OK 0
#define | R_OK 4
#define | W_OK 2
#define | RW_OK 6
#define | _SC_PAGESIZE 1
#define | _SC_PHYS_PAGES 2
#define | _SC_OPEN_MAX 3
#define | SSIZE_MAX 0x7fffffffL
#define | chsize(file, length) _chsize(file,length)
#define | access(path, mode) _access(path,mode)
#define | chdir _chdir
#define | close _close
#define | closedir(directory) NTCloseDirectory(directory)
#define | fdopen _fdopen
#define | fileno _fileno
#define | ftruncate(file, length) NTTruncateFile(file,length)
#define | getcwd _getcwd
#define | getpid _getpid
#define | hypot _hypot
#define | isatty _isatty
#define | lt_dlclose(handle) NTCloseLibrary(handle)
#define | lt_dlerror() NTGetLibraryError()
#define | lt_dlexit() NTExitLibrary()
#define | lt_dlinit() NTInitializeLibrary()
#define | lt_dlopen(filename) NTOpenLibrary(filename)
#define | lt_dlsetsearchpath(path) NTSetSearchPath(path)
#define | lt_dlsym(handle, name) NTGetLibrarySymbol(handle,name)
#define | mmap(address, length, protection, access, file, offset) NTMapMemory(address,length,protection,access,file,offset)
#define | msync(address, length, flags) NTSyncMemory(address,length,flags)
#define | munmap(address, length) NTUnmapMemory(address,length)
#define | opendir(directory) NTOpenDirectory(directory)
#define | open _open
#define | pclose _pclose
#define | popen _popen
#define | read _read
#define | readdir(directory) NTReadDirectory(directory)
#define | seekdir(directory, offset) NTSeekDirectory(directory,offset)
#define | setmode _setmode
#define | strcasecmp _strcmpi
#define | strncasecmp _strnicmp
#define | sysconf(name) NTSystemConfiguration(name)
#define | telldir(directory) NTTellDirectory(directory)
#define | tempnam _tempnam
#define | vsnprintf _vsnprintf
#define | write _write
#define | SAFE_GLOBAL
## Typedefs
typedef struct _DIR | DIR
typedef struct _NTMEMORYSTATUSEX | NTMEMORYSTATUSEX
typedef UINT(CALLBACK * | LPFNDLLFUNC1 )(DWORD, UINT)
typedef UINT(CALLBACK * | LPFNDLLFUNC2 )(NTMEMORYSTATUSEX *)
typedef long | ssize_t
## Functions
MagickExport char * | NTGetLastError (void)
MagickExport const GhostscriptVectors * | NTGhostscriptDLLVectors (void)
MagickExport const char * | NTGetLibraryError (void)
MagickExport char * | NTRegistryKeyLookup (const char *)
MagickExport DIR * | NTOpenDirectory (const char *)
MagickExport double | NTElapsedTime (void)
MagickExport double | NTUserTime (void)
MagickExport int | Exit (int)
MagickExport int | IsWindows95 ()
MagickExport int | NTCloseDirectory (DIR *)
MagickExport int | NTCloseLibrary (void *)
MagickExport int | NTControlHandler (void)
MagickExport int | NTExitLibrary (void)
MagickExport int | NTTruncateFile (int, off_t)
MagickExport int | NTGhostscriptDLL (char *, int)
MagickExport int | NTGhostscriptEXE (char *, int)
MagickExport int | NTGhostscriptFonts (char *, int)
MagickExport int | NTGhostscriptLoadDLL (void)
MagickExport int | NTGhostscriptUnLoadDLL (void)
MagickExport int | NTInitializeLibrary (void)
MagickExport int | NTSetSearchPath (const char *)
MagickExport int | NTSyncMemory (void *, size_t, int)
MagickExport int | NTUnmapMemory (void *, size_t)
MagickExport int | NTSystemCommand (const char *)
MagickExport long | NTSystemConfiguration (int)
MagickExport long | NTTellDirectory (DIR *)
MagickExport MagickBooleanType | NTGetExecutionPath (char *, const size_t)
MagickExport MagickBooleanType | NTGetModulePath (const char *, char *)
MagickExport MagickBooleanType | NTReportEvent (const char *, const MagickBooleanType)
MagickExport MagickBooleanType | NTReportException (const char *, const MagickBooleanType)
MagickExport struct dirent * | NTReadDirectory (DIR *)
MagickExport unsigned char * | NTResourceToBlob (const char *)
MagickExport void | NTErrorHandler (const ExceptionType, const char *, const char *)
MagickExport void * | NTGetLibrarySymbol (void *, const char *)
MagickExport void ** | NTMapMemory (char *, size_t, int, int, int, MagickOffsetType)
MagickExport void *** | NTOpenLibrary (const char *)
MagickExport void *** | NTSeekDirectory (DIR *, long)
MagickExport void *** | NTWarningHandler (const ExceptionType, const char *, const char *)

## Define Documentation

#define _CRT_SECURE_NO_DEPRECATE 1

#define _SC_OPEN_MAX 3

#define _SC_PAGESIZE 1

#define _SC_PHYS_PAGES 2

#define access | ( | path,
|  | mode |  | ) | _access(path,mode)

#define chdir _chdir

#define chsize | ( | file,
|  | length |  | ) | _chsize(file,length)

#define close _close

#define closedir | ( | directory |  | ) | NTCloseDirectory(directory)

#define F_OK 0

#define fdopen _fdopen

#define fileno _fileno

#define ftruncate | ( | file,
|  | length |  | ) | NTTruncateFile(file,length)

#define getcwd _getcwd

#define getpid _getpid

#define hypot _hypot

#define isatty _isatty

#define lt_dlclose | ( | handle |  | ) | NTCloseLibrary(handle)

#define lt_dlerror | ( |  | ) | NTGetLibraryError()

#define lt_dlexit | ( |  | ) | NTExitLibrary()

#define lt_dlinit | ( |  | ) | NTInitializeLibrary()

#define lt_dlopen | ( | filename |  | ) | NTOpenLibrary(filename)

#define lt_dlsetsearchpath | ( | path |  | ) | NTSetSearchPath(path)

#define lt_dlsym | ( | handle,
|  | name |  | ) | NTGetLibrarySymbol(handle,name)

#define MAP_ANONYMOUS 0x20

#define MAP_PRIVATE 0x02

#define MAP_SHARED 0x01

#define mmap | ( | address,
|  | length,
|  | protection,
|  | access,
|  | file,
|  | offset |  | ) | NTMapMemory(address,length,protection,access,file,offset)

#define msync | ( | address,
|  | length,
|  | flags |  | ) | NTSyncMemory(address,length,flags)

#define munmap | ( | address,
|  | length |  | ) | NTUnmapMemory(address,length)

#define open _open

#define opendir | ( | directory |  | ) | NTOpenDirectory(directory)

#define pclose _pclose

#define popen _popen

#define PROT_READ 0x01

#define PROT_WRITE 0x02

#define R_OK 4

#define read _read

#define readdir | ( | directory |  | ) | NTReadDirectory(directory)

#define RW_OK 6

#define SAFE_GLOBAL

#define seekdir | ( | directory,
|  | offset |  | ) | NTSeekDirectory(directory,offset)

#define setmode _setmode

#define SSIZE_MAX 0x7fffffffL

#define strcasecmp _strcmpi

#define strncasecmp _strnicmp

#define sysconf | ( | name |  | ) | NTSystemConfiguration(name)

#define telldir | ( | directory |  | ) | NTTellDirectory(directory)

#define tempnam _tempnam

#define VC_EXTRALEAN

#define vsnprintf _vsnprintf

#define W_OK 2

#define WIN32_LEAN_AND_MEAN

#define write _write

## Typedef Documentation

typedef struct _DIR DIR

typedef UINT(CALLBACK * LPFNDLLFUNC1)(DWORD, UINT)

typedef UINT(CALLBACK * LPFNDLLFUNC2)(NTMEMORYSTATUSEX *)

typedef struct _NTMEMORYSTATUSEX NTMEMORYSTATUSEX

typedef long ssize_t

## Function Documentation

MagickExport int Exit | ( | int |  | ) |

MagickExport int IsWindows95 | ( |  | ) |

MagickExport int NTCloseDirectory | ( | DIR * |  | ) |

MagickExport int NTCloseLibrary | ( | void * |  | ) |

MagickExport int NTControlHandler | ( | void |  | ) |

MagickExport double NTElapsedTime | ( | void |  | ) |

MagickExport void NTErrorHandler | ( | const | ExceptionType,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

MagickExport int NTExitLibrary | ( | void |  | ) |

MagickExport MagickBooleanType NTGetExecutionPath | ( | char * | ,
|  | const | size_t |
| ) |  |  |

MagickExport char* NTGetLastError | ( | void |  | ) |

MagickExport const char * NTGetLibraryError | ( | void |  | ) |

MagickExport void * NTGetLibrarySymbol | ( | void * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType NTGetModulePath | ( | const char * | ,
|  | char * |  |
| ) |  |  |

MagickExport int NTGhostscriptDLL | ( | char * | ,
|  | int |  |
| ) |  |  |

MagickExport const GhostscriptVectors* NTGhostscriptDLLVectors | ( | void |  | ) |

MagickExport int NTGhostscriptEXE | ( | char * | ,
|  | int |  |
| ) |  |  |

MagickExport int NTGhostscriptFonts | ( | char * | ,
|  | int |  |
| ) |  |  |

MagickExport int NTGhostscriptLoadDLL | ( | void |  | ) |

MagickExport int NTGhostscriptUnLoadDLL | ( | void |  | ) |

MagickExport int NTInitializeLibrary | ( | void |  | ) |

MagickExport void * * NTMapMemory | ( | char * | ,
|  | size_t | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | MagickOffsetType |  |
| ) |  |  |

MagickExport DIR* NTOpenDirectory | ( | const char * |  | ) |

MagickExport void * * * NTOpenLibrary | ( | const char * |  | ) |

MagickExport struct dirent* NTReadDirectory | ( | DIR * |  | ) | `[read]`

MagickExport char* NTRegistryKeyLookup | ( | const char * |  | ) |

MagickExport MagickBooleanType NTReportEvent | ( | const char * | ,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport MagickBooleanType NTReportException | ( | const char * | ,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport unsigned char* NTResourceToBlob | ( | const char * |  | ) |

MagickExport void * * * NTSeekDirectory | ( | DIR * | ,
|  | long |  |
| ) |  |  |

MagickExport int NTSetSearchPath | ( | const char * |  | ) |

MagickExport int NTSyncMemory | ( | void * | ,
|  | size_t | ,
|  | int |  |
| ) |  |  |

MagickExport int NTSystemCommand | ( | const char * |  | ) |

MagickExport long NTSystemConfiguration | ( | int |  | ) |

MagickExport long NTTellDirectory | ( | DIR * |  | ) |

MagickExport int NTTruncateFile | ( | int | ,
|  | off_t |  |
| ) |  |  |

MagickExport int NTUnmapMemory | ( | void * | ,
|  | size_t |  |
| ) |  |  |

MagickExport double NTUserTime | ( | void |  | ) |

MagickExport void * * * NTWarningHandler | ( | const | ExceptionType,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |